Delete an OIDC Verifier
Roles
Analytics Events
/ext/oidc/v1/verifiers/{id}Deletes an existing OIDC Verifier by providing its ID.
Analytic events
- OIDC_VERIFIER_DELETE_START
- OIDC_VERIFIER_DELETE_SUCCESS
- OIDC_VERIFIER_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Verifier ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/ext/oidc/v1/verifiers/41458e5a-9092-40b7-9a26-d4eb43c5792f"{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Invalid value",
"param": "verifierId",
"value": "abc"
}
]
}{
"code": "NotFound",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Resource Not Found",
"param": "verifierId",
"value": "a368cfb4-9537-4439-acc6-ce3cf2287eb7"
}
]
}How would you rate this page?
Update an OIDC Verifier PUT
Updates an existing OIDC Verifier by providing its ID. ### **Analytic events** * OIDC_VERIFIER_UPDATE_START * OIDC_VERIFIER_UPDATE_SUCCESS * OIDC_VERIFIER_UPDATE_FAIL
Configure an OIDC Client POST
Configures an OIDC Verifier Client on your tenant. In order to verify a credential using an OpenID Connect Authorization Code Flow, you need to set up an OIDC Client application. This is the client that will engage with your configured OIDC Verifier to initiate the verification workflow. There is a list of OIDC Client apps, also known as Relying Party Libraries, on the [OpenID website](https://openid.net/developers/certified/). Pick one which you feel comfortable with. <Callout> When dealing with personal identity information it is strongly recommended to follow the Authorization Code Flow which ensures sensitive data is transmitted via the `/token` endpoint back-channel. </Callout> ### **Analytic events** * OIDC_VERIFIER_CLIENT_CREATE_START * OIDC_VERIFIER_CLIENT_CREATE_SUCCESS * OIDC_VERIFIER_CLIENT_CREATE_FAIL